Inframail FTP Server < 7.12 NLST Command Remote Overflow

High Nessus Network Monitor Plugin ID 3040

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running the FTP server component of Inframail, a commercial suite of network servers from Infradig Systems.

The installed version of Inframail suffers from a buffer overflow vulnerability that arises when the FTP server component processes an NLST command with an excessively long argument (around 102400 bytes). Successful exploitation will cause the service to crash and may allow arbitrary code execution.

Solution

Upgrade to version 7.12 or higher.

See Also

http://archives.neohapsis.com/archives/fulldisclosure/2005-06/0348.html

http://reedarvin.thearvins.com/20050627-01.html

Plugin Details

Severity: High

ID: 3040

Family: FTP Servers

Published: 2005/06/30

Updated: 2019/03/06

Dependencies: 1803, 1804, 3222

Nessus ID: 18587

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9

Temporal Score: 7.6

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:U/RC:ND

CVSS v3.0

Base Score: 8.7

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:U/RC:X

Vulnerability Information

CPE: cpe:/a:infradig_systems:inframail_advantage

Reference Information

CVE: CVE-2005-2085

BID: 14077